#### Previous topic

scipy.special.btdtr

#### Next topic

scipy.special.btdtria

# scipy.special.btdtri

`scipy.special.``btdtri`(a, b, p) = <ufunc 'btdtri'>

  The p-th quantile of the beta distribution.

  This function is the inverse of the beta cumulative distribution function, `btdtr`, returning the value of x for which btdtr(a, b, x) = p, or

  \[p = \int_0^x \frac{\Gamma(a + b)}{\Gamma(a)\Gamma(b)} t^{a-1} (1-t)^{b-1}\,dt\]

  Parameters:

  a : array_like

  > Shape parameter (a > 0).

  b : array_like

  > Shape parameter (b > 0).

  p : array_like

  > Cumulative probability, in [0, 1].

  Returns:

  x : ndarray

  > The quantile corresponding to p.

  See also

  `betaincinv`, `btdtr`

  Notes

  The value of x is found by interval halving or Newton iterations.

  Wrapper for the Cephes [R358] routine incbi, which solves the equivalent problem of finding the inverse of the incomplete beta integral.

  References

  [R358] | (1, 2) Cephes Mathematical Functions Library, http://www.netlib.org/cephes/index.html